# ControlStyles

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the style and behavior of a control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ControlStyles : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ControlStyles As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                 | Description                                          |
| -------------------- | ---------------------------------------------------- |
| **ContainerControl** | If true, the control is a container-like control.    |
| **Embedded**         | if true, the control is embedded in another control. |
| **Selectable**       | If true, the control can receive focus.              |

## Used By

| Name                                                                | Description                                                             |
| ------------------------------------------------------------------- | ----------------------------------------------------------------------- |
| [Control.GetStyle](/api/wisej.web/general/control.md#getstyle-flag) | Retrieves the value of the specified control style bit for the control. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.controlstyles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
